# Passives

gamemode adventure @a[gamemode=survival]
execute as @a[gamemode=adventure] at @s run kill @s[y=1,dy=-100]
experience set @a 0 levels
experience set @a 0 points
kill @e[type=minecraft:experience_orb]
kill @e[type=arrow,tag=!monkey2,nbt={inGround:1b}]
stopsound @a * minecraft:ambient.cave
scoreboard players operation @a betaOption = World betaOption

# if too many items, kill them all - lag protection
scoreboard players set NumItems temp1 0
execute as @e[type=item] run scoreboard players add NumItems temp1 1
execute if score NumItems temp1 > 30 Constants run kill @e[type=item,nbt=!{Age:-32768s}]

effect give @a minecraft:saturation 3 4 true
effect clear @a[nbt={ActiveEffects:[{Id:15}]}] night_vision
effect give @a[nbt=!{ActiveEffects:[{Id:15}]}] night_vision 12 0 true
execute as @a[tag=!playingSerration,scores={health=..9}] run effect give @s[tag=!debugMode] minecraft:regeneration 3 10 true
execute as @a[tag=!playingSerration] run scoreboard players set @s serrModCapacity 10

execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:1b}}}] minecraft:jump_boost 3 0 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:2b}}}] minecraft:jump_boost 3 1 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:3b}}}] minecraft:jump_boost 3 2 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:4b}}}] minecraft:jump_boost 3 3 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:5b}}}] minecraft:jump_boost 3 4 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:6b}}}] minecraft:jump_boost 3 5 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:7b}}}] minecraft:jump_boost 3 6 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:8b}}}] minecraft:jump_boost 3 7 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:9b}}}] minecraft:jump_boost 3 8 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{SpringLevel:10b}}}] minecraft:jump_boost 3 9 true
effect clear @a[tag=!debugMode,nbt=!{SelectedItem:{tag:{IsSword:1b,HasSpring:1b}}}] minecraft:jump_boost

execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:1b}}}] minecraft:speed 3 0 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:2b}}}] minecraft:speed 3 1 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:3b}}}] minecraft:speed 3 2 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:4b}}}] minecraft:speed 3 3 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:5b}}}] minecraft:speed 3 4 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:6b}}}] minecraft:speed 3 5 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:7b}}}] minecraft:speed 3 6 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:8b}}}] minecraft:speed 3 7 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:9b}}}] minecraft:speed 3 8 true
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] run effect give @s[nbt={SelectedItem:{tag:{AlacrityLevel:10b}}}] minecraft:speed 3 9 true
effect clear @a[tag=!debugMode,nbt=!{SelectedItem:{tag:{IsSword:1b,HasAlacrity:1b}}}] minecraft:speed

execute as @e[type=item,nbt={Item:{tag:{IsUndroppable:1b}}}] run data merge entity @s {PickupDelay:0s}

# Remove preview if game going on
execute if entity @a[tag=playingSerration] run tag @a[tag=mapPreview] remove mapPreview

# Hidden passageways
execute as @e[type=falling_block,tag=serrUnkillable] run data merge entity @s {Time:100}

# Crown
scoreboard players add @a hasEarnedCrown 0
tag @a remove wearingCrown
tag @a[scores={hasEarnedCrown=1..}] add wearingCrown
item replace entity @a[tag=!wearingCrown] armor.head with minecraft:air
item replace entity @a[tag=wearingCrown] armor.head with minecraft:netherite_helmet{HideFlags:63,Unbreakable:1b,AttributeModifiers:[{AttributeName:"generic.armor",Name:"generic.armor",Amount:0,Operation:1,UUID:[I; 73151689, -1794791653, -1689973511, 62369669]},{AttributeName:"generic.armor_toughness",Name:"generic.armor_toughness",Amount:0,Operation:1,UUID:[I; 1562317436, 975478812, 1173148944, -286152907]},{AttributeName:"generic.knockback_resistance",Name:"generic.knockback_resistance",Amount:0,Operation:1,UUID:[I; 30688468, 384119689, -799917965, 217948923]}],Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],display:{Name:"{\"translate\":\"serration.item.crown\",\"color\":\"green\",\"italic\":false}"}}
