# Lobby Map Selectors, Game Start, and Spawnpoint Handling

# Random map
tag @e[type=armor_stand,name=rngMapSelector] remove rngMapAvailable
execute as @e[type=armor_stand,name=rngMapSelector] unless score @s rngMap = World serrSelectedMap run tag @s add rngMapAvailable
execute if block -1134 97 -945 #minecraft:buttons[powered=true] if score World serrPlayerCount > 0 Constants positioned -1134 96 -945 run function serration:lobby/no
execute if block -1134 97 -945 #minecraft:buttons[powered=true] if score World serrPlayerCount > 0 Constants run setblock -1134 97 -945 minecraft:polished_blackstone_button[face=wall,facing=west,powered=false]
execute if block -1134 97 -945 #minecraft:buttons[powered=true] run scoreboard players operation World serrSelectedMap = @e[type=armor_stand,name=rngMapSelector,tag=rngMapAvailable,sort=random,limit=1] rngMap
execute if block -1134 97 -945 #minecraft:buttons[powered=true] positioned -1134 96 -945 run playsound minecraft:entity.enderman.teleport master @a[distance=..50] ~ ~ ~ 0.65 1.25
execute if block -1134 97 -945 #minecraft:buttons[powered=true] run setblock -1134 96 -945 minecraft:air
execute if block -1134 97 -945 #minecraft:buttons[powered=true] run setblock -1134 97 -945 minecraft:polished_blackstone_button[face=wall,facing=west,powered=false]

# Controls
execute if score World serrGamemode = 0 Constants run data merge block -1134 97 -948 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.gamemodes\"}",'{"clickEvent":{"action":"run_command","value":"/function serration:lobby/on_gamemode"},"translate":"serration.lobby.gamemode0","color":"green"}',"\"\""]}}
execute if score World serrGamemode = 1 Constants run data merge block -1134 97 -948 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.gamemodes\"}",'{"clickEvent":{"action":"run_command","value":"/function serration:lobby/on_gamemode"},"translate":"serration.lobby.gamemode1","color":"green"}',"\"\""]}}
execute if score World serrGamemode = 2 Constants run data merge block -1134 97 -948 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.gamemodes\"}",'{"clickEvent":{"action":"run_command","value":"/function serration:lobby/on_gamemode"},"translate":"serration.lobby.gamemode2","color":"green"}',"\"\""]}}
execute unless score World serrGamemode = 1 Constants run data merge block -1134 96 -948 {front_text:{messages:["{\"translate\":\"serration.lobby.teams1\"}","{\"translate\":\"serration.lobby.teams\"}",'{"clickEvent":{"action":"run_command","value":"/function serration:lobby/on_team_size"},"translate":"serration.lobby.none","color":"green"}',"\"\""]}}
execute if score World serrGamemode = 1 Constants run data merge block -1134 96 -948 {front_text:{messages:["{\"translate\":\"serration.lobby.teams1\"}","{\"translate\":\"serration.lobby.teams\"}",'{"clickEvent":{"action":"run_command","value":"/function serration:lobby/on_team_size"},"color":"green","translate":"serration.lobby.players","with":[{"score":{"objective":"serrGamemode","name":"Teams"},"color":"green"}]}',"\"\""]}}

execute if block -1134 96 -946 #minecraft:buttons[powered=true] unless score World serrPlayerCount > 0 Constants run scoreboard players remove World serrSelectedMap 1
execute if block -1134 96 -946 #minecraft:buttons[powered=true] if score World serrPlayerCount > 0 Constants positioned -1134 96 -945 run function serration:lobby/no
execute if block -1134 96 -946 #minecraft:buttons[powered=true] run setblock -1134 96 -945 air
execute if block -1134 96 -946 #minecraft:buttons[powered=true] run setblock -1134 96 -946 minecraft:polished_blackstone_button[face=wall,facing=west,powered=false]
execute if block -1134 96 -944 #minecraft:buttons[powered=true] unless score World serrPlayerCount > 0 Constants run scoreboard players add World serrSelectedMap 1
execute if block -1134 96 -944 #minecraft:buttons[powered=true] if score World serrPlayerCount > 0 Constants positioned -1134 96 -945 run function serration:lobby/no
execute if block -1134 96 -944 #minecraft:buttons[powered=true] run setblock -1134 96 -945 air
execute if block -1134 96 -944 #minecraft:buttons[powered=true] run setblock -1134 96 -944 minecraft:polished_blackstone_button[face=wall,facing=west,powered=false]
execute if score World serrSelectedMap < 1 Constants run scoreboard players set World serrSelectedMap 8
execute if score World serrSelectedMap > 8 Constants run scoreboard players set World serrSelectedMap 1
execute if score World serrSelectedMap = 1 Constants run clone -1153 71 -867 -1157 67 -867 -1140 96 -939 replace
execute if score World serrSelectedMap = 1 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"white",messages:["\"\"","{\"text\":\"Polar Remnants\",\"color\":\"white\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-5\",\"color\":\"green\"}]}","\"\""]}} replace
execute if score World serrSelectedMap = 2 Constants run clone -1153 71 -870 -1157 67 -870 -1140 96 -939 replace
execute if score World serrSelectedMap = 2 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"pink",messages:["\"\"","{\"text\":\"Observatory\",\"color\":\"dark_purple\"}","{\"text\":\"Halls\",\"color\":\"dark_purple\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-5\",\"color\":\"green\"}]}"]}} replace
execute if score World serrSelectedMap = 3 Constants run clone -1153 71 -873 -1157 67 -873 -1140 96 -939 replace
execute if score World serrSelectedMap = 3 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"pink",messages:["\"\"","{\"text\":\"Resonance\",\"color\":\"light_purple\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-7\",\"color\":\"green\"}]}","\"\""]}} replace
execute if score World serrSelectedMap = 4 Constants run clone -1153 71 -876 -1157 67 -876 -1140 96 -939 replace
execute if score World serrSelectedMap = 4 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"red",messages:["\"\"","{\"text\":\"Crimson Crypt\",\"color\":\"red\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-6\",\"color\":\"green\"}]}","\"\""]}} replace
execute if score World serrSelectedMap = 5 Constants run clone -1153 71 -879 -1157 67 -879 -1140 96 -939 replace
execute if score World serrSelectedMap = 5 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"light_blue",messages:["\"\"","{\"text\":\"Pearlescent\",\"color\":\"aqua\"}","{\"text\":\"Promenade\",\"color\":\"aqua\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-5\",\"color\":\"green\"}]}"]}} replace
execute if score World serrSelectedMap = 6 Constants run clone -1153 71 -882 -1157 67 -882 -1140 96 -939 replace
execute if score World serrSelectedMap = 6 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"lime",messages:["\"\"","{\"text\":\"Acorn\",\"color\":\"dark_green\"}","{\"text\":\"Archipelago\",\"color\":\"dark_green\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-5\",\"color\":\"green\"}]}"]}} replace
execute if score World serrSelectedMap = 7 Constants run clone -1153 71 -885 -1157 67 -885 -1140 96 -939 replace
execute if score World serrSelectedMap = 7 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"cyan",messages:["\"\"","{\"text\":\"Desolate Detritus\",\"color\":\"dark_aqua\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-5\",\"color\":\"green\"}]}","\"\""]}} replace
execute if score World serrSelectedMap = 8 Constants run clone -1153 71 -888 -1157 67 -888 -1140 96 -939 replace
execute if score World serrSelectedMap = 8 Constants run setblock -1134 96 -945 minecraft:dark_oak_wall_sign[facing=west]{front_text:{color:"yellow",messages:["\"\"","{\"text\":\"The Gilded Coast\",\"color\":\"yellow\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"text\":\"3-6\",\"color\":\"green\"}]}","\"\""]}} replace

execute if score World serrResLevel = 0 Constants run data merge block -1134 96 -949 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.max_health\"}","[{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_max_health\"},\"translate\":\"serration.lobby.low\",\"color\":\"green\"}]","\"\""]}}
execute if score World serrResLevel = 1 Constants run data merge block -1134 96 -949 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.max_health\"}","[{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_max_health\"},\"translate\":\"serration.lobby.normal\",\"color\":\"green\"}]","\"\""]}}
execute if score World serrResLevel = 2 Constants run data merge block -1134 96 -949 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.max_health\"}","[{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_max_health\"},\"translate\":\"serration.lobby.high\",\"color\":\"green\"}]","\"\""]}}
execute if score World serrResLevel = 0 Constants as @a run attribute @s minecraft:generic.max_health base set 30
execute if score World serrResLevel = 1 Constants as @a run attribute @s minecraft:generic.max_health base set 40
execute if score World serrResLevel = 2 Constants as @a run attribute @s minecraft:generic.max_health base set 50

# Quarry controls
execute if score Mode quarryTimer = 0 Constants run scoreboard players set World quarryTimer 1800
execute if score Mode quarryTimer = 1 Constants run scoreboard players set World quarryTimer 1200
execute if score Mode quarryTimer = 2 Constants run scoreboard players set World quarryTimer 600
execute if score World serrGamemode = 2 Constants run scoreboard players operation World quarryTimer /= 3 Constants
scoreboard players operation World quarryTimerInt = World quarryTimer
scoreboard players operation World quarryTimerInt /= 20 Constants
execute if score Mode quarryTimer = 0 Constants run data merge block -1134 97 -949 {front_text:{messages:["{\"translate\":\"serration.lobby.regen1\"}","{\"translate\":\"serration.lobby.regen2\"}","{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_quarry_timer\"},\"translate\":\"serration.lobby.secs_high\",\"color\":\"green\",\"with\":[{\"color\":\"green\",\"score\":{\"name\":\"World\",\"objective\":\"quarryTimerInt\"}}]}","\"\""]}}
execute if score Mode quarryTimer = 1 Constants run data merge block -1134 97 -949 {front_text:{messages:["{\"translate\":\"serration.lobby.regen1\"}","{\"translate\":\"serration.lobby.regen2\"}","{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_quarry_timer\"},\"translate\":\"serration.lobby.secs_normal\",\"color\":\"green\",\"with\":[{\"color\":\"green\",\"score\":{\"name\":\"World\",\"objective\":\"quarryTimerInt\"}}]}","\"\""]}}
execute if score Mode quarryTimer = 2 Constants run data merge block -1134 97 -949 {front_text:{messages:["{\"translate\":\"serration.lobby.regen1\"}","{\"translate\":\"serration.lobby.regen2\"}","{\"clickEvent\":{\"action\":\"run_command\",\"value\":\"/function serration:lobby/on_quarry_timer\"},\"translate\":\"serration.lobby.secs_low\",\"color\":\"green\",\"with\":[{\"color\":\"green\",\"score\":{\"name\":\"World\",\"objective\":\"quarryTimerInt\"}}]}","\"\""]}}

data merge block -1134 97 -942 {front_text:{messages:["\"\"","{\"translate\":\"serration.lobby.start\"}","{\"translate\":\"serration.lobby.players\",\"color\":\"green\",\"with\":[{\"score\":{\"name\":\"Total\",\"objective\":\"serrPlayerCount\"},\"color\":\"green\"}]}","\"\""]}}

# Lobby chests
data merge block -1164 95 -927 {CustomName:'{"translate":"serration.lobby.cache1"}', Items: [{Slot: 11b, id: "minecraft:gold_ingot", Count: 64b, tag: {OreType: 0s, IsOre: 1b, display: {Lore: ['{"translate":"serration.lore.aurelium","color":"yellow"}'], Name: '{"translate":"serration.item.aurelium","color":"aqua","italic":false}'}}}, {Slot: 12b, id: "minecraft:iron_ingot", Count: 64b, tag: {OreType: 1s, IsOre: 1b, display: {Lore: ['{"translate":"serration.lore.ferrox","color":"yellow"}'], Name: '{"translate":"serration.item.ferrox","color":"aqua","italic":false}'}}}, {Slot: 14b, id: "minecraft:brick", Count: 64b, tag: {OreType: 2s, IsOre: 1b, display: {Lore: ['{"translate":"serration.lore.ceranite","color":"yellow"}'], Name: '{"translate":"serration.item.ceranite","color":"aqua","italic":false}'}}}, {Slot: 15b, id: "minecraft:nether_brick", Count: 64b, tag: {OreType: 3s, IsOre: 1b, display: {Lore: ['{"translate":"serration.lore.fortanium","color":"yellow"}'], Name: '{"translate":"serration.item.fortanium","color":"aqua","italic":false}'}}}], id: "minecraft:chest"}
data merge block -1164 95 -929 {CustomName:'{"translate":"serration.lobby.cache4"}', Items: [{Slot: 13b, id: "minecraft:ender_eye", Count: 64b, tag: {SerrVaultKey: 1b, CanPlaceOn: ["minecraft:end_portal_frame"], HideFlags: 63, display: {Lore: ['{"color":"yellow","translate":"serration.lore.key"}'], Name: '{"italic":false,"color":"gold","translate":"serration.item.key"}'}}}], id: "minecraft:chest"}
data merge block -1164 95 -931 {CustomName:'{"translate":"serration.lobby.cache3"}', Items: [{Slot: 10b, id: "minecraft:dried_kelp", tag: {display: {Name: '{"italic":false,"color":"gold","text":"Alacrity"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.alacrity"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["2"]}', '{"color":"yellow","translate":"serration.lore.stackable"}']}, IsMod: 1b, ModType: 0s}, Count: 64b}, {Slot: 11b, id: "minecraft:dried_kelp", tag: {IsMod: 1b, display: {Name: '{"italic":false,"color":"gold","text":"Spring"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.spring"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["2"]}', '{"color":"yellow","translate":"serration.lore.stackable"}']}, ModType: 1s}, Count: 64b}, {Slot: 12b, id: "minecraft:dried_kelp", tag: {IsMod: 1b, display: {Name: '{"italic":false,"color":"gold","text":"Disruption"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.disruption"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["3"]}', '{"color":"yellow","translate":"serration.lore.unstackable"}']}, ModType: 2s}, Count: 64b}, {Slot: 13b, id: "minecraft:dried_kelp", tag: {IsMod: 1b, display: {Name: '{"italic":false,"color":"gold","text":"Catapult"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.catapult"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["4"]}', '{"color":"yellow","translate":"serration.lore.stackable"}']}, ModType: 3s}, Count: 64b}, {Slot: 14b, id: "minecraft:dried_kelp", tag: {IsMod: 1b, display: {Name: '{"italic":false,"color":"gold","text":"Rampart"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.rampart"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["4"]}', '{"color":"yellow","translate":"serration.lore.unstackable"}']}, ModType: 6s}, Count: 64b}, {Slot: 15b, id: "minecraft:dried_kelp", tag: {display: {Name: '{"text":"Shrapnel Slice","color":"gold","italic":false}', Lore: ['{"translate":"serration.lore.mod.hadal","color":"yellow"}', '{"color":"yellow","translate":"serration.lore.mod2","with":[{"text":"3"}]}', '{"color":"yellow","translate":"serration.lore.unstackable"}']}, IsMod: 1b, ModType: 7s}, Count: 64b}, {Slot: 16b, id: "minecraft:dried_kelp", tag: {display: {Name: '{"italic":false,"color":"gold","text":"Lunar Burn"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.lunar"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["3"]}', '{"color":"yellow","translate":"serration.lore.stackable"}']}, IsMod: 1b, ModType: 5s}, Count: 64b}, {Slot: 21b, id: "minecraft:dried_kelp", tag: {IsMod: 1b, display: {Name: '{"italic":false,"color":"gold","text":"Chasmic Swing"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.chasmic"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["4"]}', '{"color":"yellow","translate":"serration.lore.unstackable"}']}, ModType: 4s}, Count: 64b}, {Slot: 23b, id: "minecraft:dried_kelp", tag: {display: {Name: '{"italic":false,"color":"gold","text":"Iron Stance"}', Lore: ['{"color":"yellow","translate":"serration.lore.mod.stance"}', '{"color":"yellow","translate":"serration.lore.mod2","with":["5"]}', '{"color":"yellow","translate":"serration.lore.unstackable"}']}, IsMod: 1b, ModType: 8s}, Count: 64b}]}
data merge block -1164 95 -933 {CustomName:'{"translate":"serration.lobby.cache2"}', Items: [{Slot: 13b, id: "minecraft:heart_of_the_sea", Count: 64b, tag: {SerrPearl: 1b, HideFlags: 63, display: {Lore: ['{"translate":"serration.lore.pearl1","color":"yellow"}', '{"translate":"serration.lore.pearl2","color":"yellow"}'], Name: '{"translate":"serration.item.pearl","color":"green","italic":false}'}}}], id: "minecraft:chest"}

# Spectator button
execute as @a[tag=goingIntoSpectator] run tag @s[tag=!spectatingNext] add spectatingNext1
execute as @a[tag=goingIntoSpectator] run tag @s[tag=spectatingNext] add spectatingNext2
tag @a[tag=spectatingNext1] add spectatingNext
tag @a[tag=spectatingNext1] remove spectatingNext1
tag @a[tag=spectatingNext2] remove spectatingNext
tag @a[tag=spectatingNext2] remove spectatingNext2
execute as @a[tag=goingIntoSpectator] at @s[tag=!spectatingNext] run playsound minecraft:entity.villager.no block @s ~ ~ ~ 1 1 1
execute as @a[tag=goingIntoSpectator] at @s[tag=spectatingNext] run playsound minecraft:entity.villager.yes block @s ~ ~ ~ 1 1 1
execute as @a[tag=goingIntoSpectator] run title @s[tag=!spectatingNext] actionbar {"translate":"serration.lobby.spectator_off","color":"green"}
tag @a remove goingIntoSpectator

# Refresh codexes
execute as @a[tag=!playingSerration] run scoreboard players add @s refreshCodexesTimer 1
execute as @a[tag=!playingSerration,scores={refreshCodexesTimer=200..}] at @s run function serration:lobby/refresh_codexes
execute as @a[tag=!playingSerration,scores={refreshCodexesTimer=200..}] run scoreboard players set @s refreshCodexesTimer 0

# Discord link
execute as @a[tag=viewDiscord] at @s run playsound minecraft:block.note_block.pling block @s ~ ~ ~ 1 1.7 1
tellraw @a[tag=viewDiscord] [{"translate":"serration.lobby.discord_link","color":"light_purple","with":[[{"text":"\ue008 ","color":"white"},{"text":"Cool Kids United","color":"yellow"}],{"text":"https://discord.gg/6y7Q6UCdtr","color":"aqua","underline":true,"clickEvent":{"action":"open_url","value":"https://discord.gg/6y7Q6UCdtr"}}]}]
tag @a[tag=viewDiscord] remove viewDiscord

# Map preview
function serration:lobby/preview

# Demo area
tag @a remove inDemoAreaA
tag @a remove inDemoAreaR
tag @a[tag=playingSerration] add inDemoAreaR
tag @a[tag=inParkourArea] add inDemoAreaR
tag @a[x=-1154,y=99,z=-949,dx=0,dy=-5,dz=2] add inDemoAreaA
tag @a[x=-1155,y=99,z=-950,dx=3,dy=-4,dz=0] add inDemoAreaR
tag @a[x=-1143,y=99,z=-938,dx=-2,dy=-4,dz=0] add inDemoAreaA
tag @a[x=-1142,y=95,z=-940,dx=0,dy=4,dz=2] add inDemoAreaR
tag @a[x=-1156,y=99,z=-948,dx=-6,dy=-4,dz=2] add inDemoAreaA
tag @a[x=-1152,y=109,z=-944,dx=3,dy=-2,dz=-3] add inDemoAreaR
tag @a[x=-1152,y=105,z=-946,dx=2,dy=-2,dz=2] add inDemoAreaA
execute as @a[tag=inDemoAreaR] run title @s[tag=inDemoArea] actionbar ""
tag @a[gamemode=!spectator,tag=inDemoAreaA] add inDemoArea
tag @a[gamemode=!spectator,tag=inDemoAreaR] remove inDemoArea

execute as @a[tag=!playingSerration] as @s[tag=!debugMode,team=!parkour] run team join none @s[tag=inDemoArea]
execute as @a[tag=!playingSerration] as @s[tag=!debugMode,team=!parkour] run team join lobby @s[tag=!inDemoArea]
execute as @a[tag=!playingSerration] as @s[tag=!debugMode,team=!parkour] run effect give @s[tag=!inDemoArea] minecraft:resistance 2 4 true

# Parkour
function serration:parkour/parkour
