# Applying mods
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b}}}] at @s unless score @s serrWeaponInnCap >= 0 Constants store result score @s serrWeaponInnCap run data get entity @s Item.tag.InnateModCap
execute as @e[type=item,nbt={Item:{tag:{IsMod:1b}}}] at @s unless score @s serrRealMCap >= 0 Constants run scoreboard players operation @s serrRealMCap = @p serrModCapacity
execute as @e[type=item,nbt={Item:{Count:1b,tag:{IsMod:1b}}},tag=!cannotForge] at @s if block ~ ~-1 ~ minecraft:anvil if entity @e[type=item,distance=..1,nbt={Item:{tag:{IsSword:1b}}}] run tag @s add isForging
execute as @e[type=item,tag=isForging] at @s run scoreboard players operation @s serrRealMCap += @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] serrWeaponInnCap
execute as @e[type=item,tag=isForging] at @s run scoreboard players operation @s serrRealMCap -= @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] serrTempCapacity

# Unstackable mods
#
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:2s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,HasDisruption:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:4s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,HasSwing:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:6s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,HasRampart:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:7s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,HasGouge:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:8s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,HasStance:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:360s}}}] at @s if entity @e[type=item,nbt={Item:{tag:{IsSword:1b,Has360:1b}}},sort=nearest,distance=..1,limit=1] run tag @s add duplicatedMod
#

execute as @e[type=item,tag=isForging] if entity @s[tag=duplicatedMod] at @s run tellraw @a[gamemode=!spectator,distance=..5] {"translate":"serration.game.mod.unstackable","color":"red"}
execute as @e[type=item,tag=isForging] if entity @s[tag=duplicatedMod] at @s run playsound minecraft:block.fire.extinguish block @a[gamemode=!spectator,distance=..5] ~ ~ ~ 2 1
execute as @e[type=item,tag=isForging] if entity @s[tag=duplicatedMod] at @s run tag @e[type=item,distance=..2] add cannotForge
execute as @e[type=item,tag=isForging] if entity @s[tag=duplicatedMod] run tag @s remove isForging

#
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s run scoreboard players set @s serrIntModCost 2
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s run scoreboard players set @s serrIntModCost 2
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:2s}}}] at @s run scoreboard players set @s serrIntModCost 3
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s run scoreboard players set @s serrIntModCost 4
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:4s}}}] at @s run scoreboard players set @s serrIntModCost 4
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s run scoreboard players set @s serrIntModCost 3
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:6s}}}] at @s run scoreboard players set @s serrIntModCost 4
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:7s}}}] at @s run scoreboard players set @s serrIntModCost 3
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:8s}}}] at @s run scoreboard players set @s serrIntModCost 5
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:360s}}}] at @s run scoreboard players set @s serrIntModCost 4
#

execute as @e[type=item,tag=isForging] run scoreboard players operation @s serrRealMCap -= @s serrIntModCost
execute as @e[type=item,tag=isForging] if score @s serrRealMCap < 0 Constants at @s run tellraw @a[gamemode=!spectator,distance=..5] {"translate":"serration.game.mod.nocapacity","color":"red"}
execute as @e[type=item,tag=isForging] if score @s serrRealMCap < 0 Constants at @s run playsound minecraft:block.fire.extinguish block @a[gamemode=!spectator,distance=..5] ~ ~ ~ 2 1
execute as @e[type=item,tag=isForging] if score @s serrRealMCap < 0 Constants at @s run tag @e[type=item,distance=..2] add cannotForge
execute as @e[type=item,tag=isForging] if score @s serrRealMCap < 0 Constants run tag @s remove isForging

execute as @e[type=item,tag=isForging] at @s run scoreboard players operation @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] serrTempCapacity += @s serrIntModCost
execute as @e[type=item,tag=isForging] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result entity @s Item.tag.ModCapacityUsed byte 1 run scoreboard players get @s serrTempCapacity
execute as @e[type=item,tag=isForging] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] run data merge entity @s {PickupDelay:0s}

#
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result score @s temp1 run data get entity @s Item.tag.AlacrityLevel
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s run scoreboard players add @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] temp1 1 
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result entity @s Item.tag.AlacrityLevel byte 1 run scoreboard players get @s temp1
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasAlacrity set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result score @s temp1 run data get entity @s Item.tag.SpringLevel
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s run scoreboard players add @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] temp1 1 
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result entity @s Item.tag.SpringLevel byte 1 run scoreboard players get @s temp1
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasSpring set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:2s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasDisruption set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result score @s temp1 run data get entity @s Item.tag.CatapultLevel
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s run scoreboard players add @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] temp1 1 
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result entity @s Item.tag.CatapultLevel byte 1 run scoreboard players get @s temp1
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasCatapult set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:4s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasSwing set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result score @s temp1 run data get entity @s Item.tag.LunarLevel
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s run scoreboard players add @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] temp1 1 
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s as @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] store result entity @s Item.tag.LunarLevel byte 1 run scoreboard players get @s temp1
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasLunar set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:6s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasRampart set value 1b
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:7s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasGouge set value 1b
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:8s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.HasStance set value 1b
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:8s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.AttributeModifiers append value {Slot:"mainhand",AttributeName:"generic.knockback_resistance",Name:"generic.knockback_resistance",Amount:1.0,Operation:0,UUID:[I; -418273690, -199843692, 1395695961, 1028627974]}
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:360s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.Has360 set value 1b

execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:0s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Alacrity\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:1s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Spring\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:2s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Disruption\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:3s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Catapult\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:4s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Chasmic Swing\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:5s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Lunar Burn\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:6s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Rampart\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:7s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Shrapnel Slice\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:8s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Iron Stance\",\"color\":\"light_purple\",\"italic\":false}"
execute as @e[type=item,tag=isForging,nbt={Item:{tag:{ModType:360s}}}] at @s run data modify entity @e[type=item,nbt={Item:{tag:{IsSword:1b}}},sort=nearest,distance=..1,limit=1] Item.tag.display.Lore append value "{\"text\":\"Gyroscope\",\"color\":\"light_purple\",\"italic\":false}"
#

execute as @e[type=item,tag=isForging] at @s run particle minecraft:smoke ~ ~ ~ 1 1 1 0.3 50 normal
execute as @e[type=item,tag=isForging] at @s run playsound minecraft:block.iron_door.close block @a ~ ~ ~ 2 0.6
execute as @e[type=item,tag=isForging] at @s run playsound minecraft:entity.iron_golem.hurt block @a ~ ~ ~ 2 1.5
execute as @e[type=item,tag=isForging] run kill @s

# Mod Abilities
# Disruption
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasDisruption:1b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run effect give @s minecraft:slowness 2 1 true

# Catapult
# level 1: 3.6526 blocks
# level 2: 7.06956 blocks (+3.41696)
# level 3: 10.62924 blocks (+3.55968)
# level 4: 14.057789 blocks (+3.428549)
# etc. etc. etc.
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasCatapult:1b}}},scores={serrIntStrike=1..}] store result score @s temp1 run data get entity @s SelectedItem.tag.CatapultLevel
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasCatapult:1b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players operation @s serrLaunchingUp = @p temp1
effect give @e[scores={serrLaunchingUp=1..}] minecraft:levitation 1 44 true
effect clear @e[scores={serrLaunchingUp=0}] minecraft:levitation
scoreboard players remove @e[scores={serrLaunchingUp=0..}] serrLaunchingUp 1

# Chasmic Swing
scoreboard players remove @a[scores={serrChasmicCD=1..}] serrChasmicCD 1
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasSwing:1b}}},scores={serrIntCrouch=1..}] unless score @s serrChasmicCD > 0 Constants run effect give @s minecraft:strength 3 0 true
execute at @a[nbt={ActiveEffects:[{Id:5}]},scores={serrIntStrike=1..}] run particle dust 0.7 0.1 0.3 3 ^ ^1 ^1 0.45 0.2 0.45 0.3 15
execute as @a[nbt={ActiveEffects:[{Id:5}]},scores={serrIntStrike=1..}] at @s run playsound minecraft:item.totem.use block @a ~ ~ ~ 2 2
scoreboard players add @a[nbt={ActiveEffects:[{Id:5}]},scores={serrIntStrike=1..}] serrSwingProg 1
scoreboard players set @a[nbt={ActiveEffects:[{Id:5}]},scores={serrIntStrike=1..}] serrChasmicCD 120
effect clear @a[nbt=!{SelectedItem:{tag:{IsSword:1b,HasSwing:1b}}}] minecraft:strength
effect clear @a[scores={serrIntCrouch=0}] minecraft:strength
effect clear @a[scores={serrChasmicCD=1..}] minecraft:strength
scoreboard players set @a[scores={serrIntCrouch=1..}] serrIntCrouch 0

# Chasmic Swing Advancement (Punching Bag)
scoreboard players add @a[scores={serrSwingProg=1..}] serrSwingTimer 1
execute as @a[tag=playingSerration] run advancement grant @s[tag=!playingTutorial,scores={serrSwingProg=3..}] only serration:chasmic
scoreboard players set @a[scores={serrSwingTimer=300..}] serrSwingProg 0
scoreboard players set @a[scores={serrSwingTimer=300..}] serrSwingTimer 0

# Lunar Burn
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasLunar:1b,LunarLevel:1b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players set @s serrWithering 10
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasLunar:1b,LunarLevel:2b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players set @s serrWithering 20
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasLunar:1b,LunarLevel:3b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players set @s serrWithering 25
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasLunar:1b,LunarLevel:4b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players set @s serrWithering 27
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasLunar:1b,LunarLevel:5b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] unless entity @s[scores={serrIntStrike=1..}] run scoreboard players set @s serrWithering 30

effect give @e[scores={serrWithering=1..}] minecraft:wither 1 5 true
effect clear @e[scores={serrWithering=0}] minecraft:wither
scoreboard players remove @e[scores={serrWithering=0..}] serrWithering 1

# Rampart
#execute if score World serrResLevel = 0 Constants run effect give @a[scores={serrIntStrike=1..},nbt={SelectedItem:{tag:{IsSword:1b,HasRampart:1b}}}] minecraft:resistance 3 0 true
#execute if score World serrResLevel = 1 Constants run effect give @a[scores={serrIntStrike=1..},nbt={SelectedItem:{tag:{IsSword:1b,HasRampart:1b}}}] minecraft:resistance 3 1 true
#execute if score World serrResLevel = 2 Constants run effect give @a[scores={serrIntStrike=1..},nbt={SelectedItem:{tag:{IsSword:1b,HasRampart:1b}}}] minecraft:resistance 3 2 true
#execute if score World serrResLevel = 3 Constants run effect give @a[scores={serrIntStrike=1..},nbt={SelectedItem:{tag:{IsSword:1b,HasRampart:1b}}}] minecraft:resistance 3 3 true
effect give @a[scores={serrIntStrike=1..},nbt={SelectedItem:{tag:{IsSword:1b,HasRampart:1b}}}] minecraft:resistance 3 0 true

# Shrapnel Slice
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasGouge:1b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] at @s unless entity @s[scores={serrIntStrike=1..}] run particle explosion ~ ~1.5 ~ 1.5 1 1.5 0 12 force
execute as @a[nbt={SelectedItem:{tag:{IsSword:1b,HasGouge:1b}}},scores={serrIntStrike=1..}] at @s as @e[nbt={HurtTime:10s},distance=..15] at @s unless entity @s[scores={serrIntStrike=1..}] run particle dust 0.5 0.5 0.5 6 ~ ~1 ~ 1.5 1 1.5 0 12 force

# 360 joke mod
tag @a[tag=!360] remove 360knockback
execute as @a[tag=360,nbt={SelectedItem:{tag:{IsSword:1b,Has360:1b}}}] as @s[tag=!360knockback] run item modify entity @s weapon.mainhand serration:knockback_360
execute as @a[tag=360,nbt={SelectedItem:{tag:{IsSword:1b,Has360:1b}}}] as @s[tag=!360knockback] run item modify entity @s weapon.offhand serration:knockback_360
execute at @a[tag=360,nbt={SelectedItem:{tag:{IsSword:1b,Has360:1b}}},scores={serrIntStrike=1..}] run playsound minecraft:enchant.thorns.hit master @a ~ ~ ~ 1 1
tag @a[tag=360] add 360knockback